Creates a new job_estimated_quantity object
Request Information
URI Parameters :
None.
Body Parameters :
job_estimated_quantity| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| estimated_quantity |
Estimated quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| article_id |
Foreign key of the article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| jobs_id |
Foreign key of the jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| reference_back_office |
The Id/Ref of the back office for this job. Used by Embedded entity |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "1e9fa1e2-5da9-46d4-8887-e0eb81190a39",
"estimated_quantity": 2.0,
"article_id": "c3a78105-9dd4-45eb-8987-d1dac1dacf72",
"article_code": "sample string 4",
"article": {
"id": "ad06987c-7964-47f8-a59b-0666b824983b",
"article_category_id": "fda1917a-bd11-4dd3-9e8d-f68a26d0cfb8",
"article_category": {
"id": "c0ce3968-3a49-49c3-8bc1-acc4ae03e0dd",
"parent_id": "5b0628a3-33de-4cf5-a4c7-418dc5ccf423",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-11-01T22:34:54.8954697+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "e6f99910-b9a5-4bd9-8ed2-b8c86b602f8a",
"article_group_1_code": "sample string 5",
"article_group_2_id": "d354b07f-63a8-40dc-917f-ef126486ec48",
"article_group_2_code": "sample string 7",
"article_group_3_id": "93666a21-50a4-4869-a34f-f54c34a26100",
"article_group_3_code": "sample string 9",
"article_group_4_id": "ababcd6a-818a-4b38-9074-6a7c8a727499",
"article_group_4_code": "sample string 11",
"article_group_5_id": "44ebf940-d233-4201-a9cc-0d6760053726",
"article_group_5_code": "sample string 13",
"article_group_6_id": "9e0595a4-80ef-42e8-84f1-0be8fa1513c6",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-11-01T22:34:54.8954697+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-11-01T22:34:54.8954697+00:00",
"date_update": "2026-11-01T22:34:54.8954697+00:00",
"modified_dateutc": "2026-11-01T22:34:54.8954697+00:00",
"article_color_id": "f781b542-ec1c-44b4-b836-dae558e5177a",
"article_color_code": "sample string 38",
"article_color": {
"id": "c20d2075-fd19-4b57-95d7-ce5753f3a0fa",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-11-01T22:34:54.8954697+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "43315ee9-9d13-47cd-bb5c-dd00dfc3186a",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "03ff6bdb-153e-4aa8-bf67-79b63490406a",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"jobs_id": "0e1c9d08-4149-4dd0-9cac-62ee43f627b7",
"jobs_reference_back_office": "sample string 6",
"jobs": {
"id": "4433ef40-a529-4de0-940b-3151a7d620cc",
"_parent_id": "6578a312-2a59-4d5e-b065-b29185271ad2",
"_parent_jobs_reference_back_office": "sample string 3",
"project_id": "5a5c1946-1962-4db0-9844-1a9d5783bc53",
"project_reference_back_office": "sample string 5",
"project": {
"id": "9b68a28d-3f89-4999-a457-b0885047af4c",
"_parent_id": "e652bc95-7f68-400b-a34c-fd97d7b13e97",
"root_parent_id": "38e934c7-fb80-4c47-84f0-a5069236dc70",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "ff5cb81a-2182-49c1-af3d-eae5662a3a1f",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "93681add-402e-4563-8593-472ad422698d",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "5a3168d8-b960-48d7-aefa-e236e716a8ae",
"_parent_code": "sample string 6",
"sales_organization_id": "f94a72ea-0b38-4671-b1e9-231599554bf2",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "ad0500ed-2b29-455a-ba25-f6df83be3d8d",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "f22a51f8-10d7-4974-893c-c418d80dc442",
"db_currency_id": "4d3f2574-2030-4f9b-af1c-a4c6a19d3853",
"db_language_id": "33fce5ec-c654-4dc0-8932-ed6f189adebf",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-01T22:34:54.8954697+00:00"
},
"modified_dateutc": "2026-11-01T22:34:54.8954697+00:00"
},
"equipment_model_id": "418bdc71-3bc3-4c88-a41d-5b391c1ba3d9",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "a325b661-3b13-47a8-8040-43cc5d6e7c2a",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "1ab964b2-c27a-4b9b-b2d1-828b9036630b",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "445c7a77-ab24-4510-948a-8d1f547143ce",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "6148b5dc-bdea-489a-a794-d484441df2c3",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "ad0500ed-2b29-455a-ba25-f6df83be3d8d",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "f22a51f8-10d7-4974-893c-c418d80dc442",
"db_currency_id": "4d3f2574-2030-4f9b-af1c-a4c6a19d3853",
"db_language_id": "33fce5ec-c654-4dc0-8932-ed6f189adebf",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-01T22:34:54.8954697+00:00"
},
"modified_dateutc": "2026-11-01T22:34:54.8954697+00:00"
},
"equipment_family_id": "95483441-5b75-45fc-aaa3-7e1ca26a65fc",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "93681add-402e-4563-8593-472ad422698d",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "5a3168d8-b960-48d7-aefa-e236e716a8ae",
"_parent_code": "sample string 6",
"sales_organization_id": "f94a72ea-0b38-4671-b1e9-231599554bf2",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "ad0500ed-2b29-455a-ba25-f6df83be3d8d",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "f22a51f8-10d7-4974-893c-c418d80dc442",
"db_currency_id": "4d3f2574-2030-4f9b-af1c-a4c6a19d3853",
"db_language_id": "33fce5ec-c654-4dc0-8932-ed6f189adebf",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-01T22:34:54.8954697+00:00"
},
"modified_dateutc": "2026-11-01T22:34:54.8954697+00:00"
},
"date_in_production_since": "2026-11-01T22:34:54.8954697+00:00",
"date_out_of_production_since": "2026-11-01T22:34:54.8954697+00:00",
"date_end_support": "2026-11-01T22:34:54.8954697+00:00",
"sales_organization_id": "72ac4f31-1791-4371-8387-796409f4c9c8",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "ad0500ed-2b29-455a-ba25-f6df83be3d8d",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "f22a51f8-10d7-4974-893c-c418d80dc442",
"db_currency_id": "4d3f2574-2030-4f9b-af1c-a4c6a19d3853",
"db_language_id": "33fce5ec-c654-4dc0-8932-ed6f189adebf",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-01T22:34:54.8954697+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-11-01T22:34:54.8954697+00:00"
},
"project_status_id": "2ab02dbb-086e-41fe-8ea4-adaa272073df",
"project_status_code": "sample string 10",
"project_status": {
"id": "29dc7123-3f2d-4263-8483-5bb79aa189c2",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "b96913df-ff96-4ea3-b31b-b4da404bae85",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "ad0500ed-2b29-455a-ba25-f6df83be3d8d",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "f22a51f8-10d7-4974-893c-c418d80dc442",
"db_currency_id": "4d3f2574-2030-4f9b-af1c-a4c6a19d3853",
"db_language_id": "33fce5ec-c654-4dc0-8932-ed6f189adebf",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-01T22:34:54.8954697+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-01T22:34:54.8954697+00:00"
},
"company_id": "562ce903-e8f6-4827-ae33-e31d574f0df5",
"company_code": "sample string 12",
"db_address_id": "96598c8c-9c32-483f-86fb-c125485cba69",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "82e07a4d-5c73-49eb-bdad-360e7a2b9b85",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "479a57c8-89a8-4665-89c3-1b235f2073e0",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-11-01T22:34:54.9154666+00:00",
"date_create": "2026-11-01T22:34:54.9154666+00:00",
"date_update": "2026-11-01T22:34:54.9154666+00:00",
"updated_by_user_id": "46a5649d-0059-4e65-8612-bcf1df65d383",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-11-01T22:34:54.9154666+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-11-01T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-11-01T22:34:54.9154666+00:00",
"date_last_job": "2026-11-01T22:34:54.9154666+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-11-01T22:34:54.9154666+00:00",
"modified_dateutc": "2026-11-01T22:34:54.9154666+00:00",
"is_mobile_installation": true
},
"job_type_id": "de1da6dc-ffc9-4581-8d6e-d4f7c902f32f",
"job_type_code": "sample string 7",
"job_type": {
"id": "9d1bd7e9-2bf0-44c2-94cc-794f016405de",
"name": "sample string 2",
"sales_organization_id": "1aca7a31-5073-4b6b-aba0-241f1e8f8584",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-11-01T22:34:54.9154666+00:00",
"code": "sample string 7"
},
"job_priority_id": "a221c9f4-eec5-407b-8049-b18a532375f4",
"job_priority_code": "sample string 9",
"job_priority": {
"id": "2adbad7e-f631-45d8-8ca1-2983f37e73ed",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "1a12a1ad-8455-4fcb-930f-7ed3f1fc9895",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "ad0500ed-2b29-455a-ba25-f6df83be3d8d",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "f22a51f8-10d7-4974-893c-c418d80dc442",
"db_currency_id": "4d3f2574-2030-4f9b-af1c-a4c6a19d3853",
"db_language_id": "33fce5ec-c654-4dc0-8932-ed6f189adebf",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-01T22:34:54.8954697+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-01T22:34:54.9154666+00:00"
},
"job_status_id": "ea91abfe-d126-404f-8538-7896b8d8046c",
"job_status_code": "sample string 11",
"db_address_id": "be37d9b9-c4bf-41b4-aead-93b45a311ccc",
"contact_id": "0c742b3d-3be7-4f5f-b9c0-513efd5252be",
"requested_by_company_id": "5b98079a-c5cf-46e5-98d6-2e1d5dde0e31",
"requested_by_contact_id": "24c0ac27-d469-4f31-87fa-91b01d4fd546",
"reference_back_office": "sample string 16",
"name": "sample string 17",
"description": "sample string 18",
"working_sequence": 19,
"internal_memo": "sample string 20",
"prejob_information": "sample string 21",
"estimated_time": 22,
"earliest_date_plannable": "2026-11-01T22:34:54.9154666+00:00",
"due_date": "2026-11-01T22:34:54.9154666+00:00",
"date_create": "2026-11-01T22:34:54.9154666+00:00",
"date_update": "2026-11-01T22:34:54.9154666+00:00",
"date_closed": "2026-11-01T22:34:54.9154666+00:00",
"suggested_user_id": "75922534-9e97-4fa9-9076-4f164a6b4d18",
"suggested_user_code": "sample string 29",
"suggested_user": {
"id": "ba2c1483-ef9e-4455-b637-7f996fe62e9b",
"db_language_id": "45caa471-3de7-40e8-bde5-89dea5cdabbe",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-01T22:34:54.9154666+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "bb6becd5-cdad-45fe-b33f-9bd0d3699d18",
"sales_organization": {
"id": "ad0500ed-2b29-455a-ba25-f6df83be3d8d",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "f22a51f8-10d7-4974-893c-c418d80dc442",
"db_currency_id": "4d3f2574-2030-4f9b-af1c-a4c6a19d3853",
"db_language_id": "33fce5ec-c654-4dc0-8932-ed6f189adebf",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-01T22:34:54.8954697+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "64bb0437-8beb-48fd-9dcb-be7dd6647d0f",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "05be61a1-754d-4de6-a8df-fbe3995b8837",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-01T22:34:54.9154666+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "6f1bf33b-cde3-4c96-923d-59ff0e9b58ce"
},
"suggested_date_start": "2026-11-01T22:34:54.9154666+00:00",
"skill_id": "c04ad157-ff81-428c-a659-7262b7bac832",
"skill_code": "sample string 32",
"skill": {
"id": "f213899e-4cd7-4410-8714-6ace7bb305d6",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "0c49ad3e-e300-45ca-a1e6-ce601163a79b",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "ad0500ed-2b29-455a-ba25-f6df83be3d8d",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "f22a51f8-10d7-4974-893c-c418d80dc442",
"db_currency_id": "4d3f2574-2030-4f9b-af1c-a4c6a19d3853",
"db_language_id": "33fce5ec-c654-4dc0-8932-ed6f189adebf",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-01T22:34:54.8954697+00:00"
},
"modified_dateutc": "2026-11-01T22:34:54.9154666+00:00"
},
"customer_reference": "sample string 33",
"approval_responsible_user_id": "fce517d8-9674-4c16-834f-371c66c569a5",
"date_reported_by_company": "2026-11-01T22:34:54.9154666+00:00",
"id2": 36,
"company_id": "a6ed926e-7d54-43a4-a8c2-c7b01963fd8f",
"company_code": "sample string 38",
"db_address_name": "sample string 39",
"db_address_street": "sample string 40",
"db_address_street2": "sample string 41",
"db_address_street_number": "sample string 42",
"db_address_city": "sample string 43",
"db_address_zip": "sample string 44",
"db_address_db_country_id": "17f44db5-be99-4f52-96c8-276cc7ea8cd8",
"db_address_db_country_code": "sample string 46",
"db_address_phone": "sample string 47",
"db_address_email": "sample string 48",
"db_address_latitude_decimal": 49.0,
"db_address_longitude_decimal": 50.0,
"estimated_quantity_remark": "sample string 51",
"modified_dateutc": "2026-11-01T22:34:54.9154666+00:00"
},
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-01T22:34:54.9154666+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.